const downloadGitRepo = require('download-git-repo'); 
const ora = require('ora');
const path = require('path');

module.exports = function (target, gitRepo) {
    target = path.join(target || '');
    return new Promise((resolve, reject) => {
        const url = `direct:${gitRepo}`
        const spinner = ora(`开始下载文件...`)
        spinner.start()
        downloadGitRepo(url, target, {clone: true}, (err) => {
            if (err) {
                spinner.fail()
                reject(err)
            } else {
                spinner.succeed()
                resolve()
            }
        })
    })
}